/*
    Scicalc+ : a scientific calculator for X - version 0.86     
    Copyright (C)  2001    Ivano Primi ( ivano.primi@tin.it )    

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You can contact the author of this software by paper mail writing to
    the next address

	Ivano Primi
	via Colle Cannetacce 50/A
	C.A.P. 00038 - Valmontone (ROMA)
	Italy                                                          .

    If you prefer the electronic mail you can write to the address

	ivano.primi@tin.it                                             .
*/

#include<cstdio>
#include<cstdlib>
#include<fltk/Fl.h>
#include"scGUI.h"
#include"scicalc.h"

extern char history[HIST_SIZE][MAX_LUN];

extern FILE* open_memofile(int* a);
extern FILE* open_notesfile(int* b);

FILE *notes,*serb;
/* serb= puntatore al file "Memo.mem"  */
/* notes=puntatore al file "scnotepad" */
ScInterface* GUI;
ScInfo* InfoDialog;

int main(void)
{
  short k;
  int r1,r2;

  /* Inizializzazione dell'history */
  for(k=0 ; k < HIST_SIZE ; k++)
    history[k][0]='\0';   
  GUI=new ScInterface;
  InfoDialog=new ScInfo;
  serb  =  open_memofile(&r1);
  notes = open_notesfile(&r2);
  if( r1==0 && r2==0) /* Se "Memo.mem" e "scnotepad" non sono stati ancora creati */
    GUI->show();
  else
    {
      InfoDialog->set(r1,r2);
      InfoDialog->show();
    }
  return Fl::run();
}

