//  Icons settings for EDE
//  Copyright (C) 2000-2001 Martin Pekar
//
//  Requires Fast Light Tool Kit 2.0 (FLTK)
//  http://www.fltk.org - CVS access
//  http://www.agilinux.com/fltk - tar.gz archive
//
//  Author  : Martin Pekar
//  E-Mail  : cortex@nextra.sk
//  Home    : http://www.equinox.szm.sk

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef EICON_H
#define EICON_H

#include <fltk/fl_file_chooser.h>
#include <fltk/Fl.h>
#include <fltk/fl_config.h>
#include <fltk/Fl.h>
#include <fltk/fl_ask.h>
#include <fltk/Fl_Color_Chooser.h>

extern int label_background;
extern int label_foreground;
extern int label_fontsize;
extern int label_maxwidth;
extern int label_gridspacing;
extern int label_engage_1click;
	    
// Default settings (should the above values not be found in the configuration file)
#define LABEL_BACKGROUND 46848
#define LABEL_FOREGROUND FL_WHITE
#define LABEL_FONTSIZE   10
#define LABEL_MAXWIDTH   75
#define LABEL_GRIDSPACING 16
#define LABEL_ENGAGE1CLICK 0

void
 readIconsConfiguration()
;
void
 writeIconsConfiguration()
;

#endif

