//  Window manager settings for EDE
//  Copyright (C) 2001 Martin Pekar
//
//  Requires Fast Light Tool Kit 2.0 (FLTK)
//  http://www.fltk.org - CVS access
//  http://www.agilinux.com/fltk - tar.gz archive
//
//  Author  : Martin Pekar
//  E-Mail  : cortex@nextra.sk
//  Home    : http://www.equinox.szm.sk

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef ewm_h
#define ewm_h

#include <fltk/fl_file_chooser.h>
#include <fltk/Fl.h>
#include <fltk/fl_config.h>
#include <fltk/Fl.h>
#include <fltk/fl_ask.h>
#include <fltk/Fl_Color_Chooser.h>
#include <fltk/Fl.h>
#include <fltk/Fl_Window.h>
#include <fltk/x.h>

extern Fl_Color titlebarColor;
extern Fl_Color titlebarLabelColor;
extern Fl_Color titlebarActiveLabelColor;
extern Fl_Color titlebarActiveColor;
extern char fontInputValue[80];

void
 readConfiguration()
;
void applyConfiguration();
void
 writeConfiguration()
;

#endif