//  Eiconmanager
//  Copyright (C) 2000-2001 Martin Pekar
//
//  Requires Fast Light Tool Kit 2.0 (FLTK)
//  http://www.fltk.org - CVS access
//  http://www.agilinux.com/fltk - tar.gz archive
//
//  Author  : Martin Pekar
//  E-Mail  : cortex@nextra.sk
//  Home    : http://www.equinox.szm.sk

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef EICONMANAGER_H
#define EICONMANAGER_H

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <time.h>
#include <stddef.h>
#include <dirent.h>
#include <unistd.h>
#include <pwd.h>

#include <fltk/Fl.h>
#include <fltk/Fl_Window.h>
#include <fltk/Fl_Double_Window.h>
#include <fltk/x.h>
#include <fltk/Fl_Menu_Button.h>
#include <fltk/Fl_Item_Group.h>
#include <fltk/Fl_Item.h>
#include <fltk/Fl_Pixmap.h>
#include <fltk/Fl_Shared_Image.h>
#include <fltk/fl_config.h>
#include <fltk/filename.h>
#include <fltk/Fl_Value_Output.h>
#include <fltk/Fl_Pack.h>
#include <fltk/Fl_Box.h>
#include <fltk/Fl_Divider.h>
#include <fltk/Fl_Pixmap.h>
#include <fltk/Fl_Image.h>
#include <fltk/Fl_Shared_Image.h>
#include <fltk/Fl_Button.h>
#include <fltk/Fl_Radio_Button.h>
#include <fltk/Fl_Color_Chooser.h>
#include <fltk/Fl_Menu_Bar.h>
#include <fltk/Fl_Button.h>
#include <fltk/Fl_Input.h>
#include <fltk/Fl_Output.h>
#include <fltk/fl_ask.h>
#include <fltk/Fl_Tabs.h>
#include <fltk/Fl_Scroll.h>
#include <fltk/Fl_Shaped_Window.h>
#include <fltk/Fl_Overlay_Window.h>
#include <fltk/Fl_FileBrowser.h>
#include <fltk/fl_file_chooser.h>
#include <fltk/Fl_Font.h>

int label_background;
int label_foreground;
int label_fontsize;
int label_maxwidth;
int label_gridspacing;
int one_click_exec;

// Default settings (should the above values not be found in the configuration file)
#define LABEL_BACKGROUND 46848
#define LABEL_FOREGROUND FL_WHITE
#define LABEL_FONTSIZE   10
#define LABEL_MAXWIDTH   75
#define LABEL_GRIDSPACING 16
#define ONE_CLICK_EXEC 0


#endif
